Re: [Pkg-javascript-devel] Packages ready to review

2018-05-08 Thread Pirate Praveen
On തി, മേയ് 7, 2018 at 8:10 വൈകു, Xavier wrote: Updated list of packages to review: - node-mongodb - node-mongodb-core - node-require-optional Try to enable tests. See https://wiki.debian.org/Javascript/Nodejs/Npm2Deb#Run_tests_if_available - bson.js

Re: [Pkg-javascript-devel] NEW queue

2018-05-08 Thread Pirate Praveen
On തി, മേയ് 7, 2018 at 11:58 രാവിലെ, Paolo Greppi wrote: And for many the vcs_git/browser fields are set to anonscm (118) rather than salsa (51). BTW of those 118, only 31 have been migrated to salsa. Because the migration happened only recently and some packages

Re: [Pkg-javascript-devel] NEW queue

2018-05-08 Thread Pirate Praveen
On ചൊ, മേയ് 8, 2018 at 3:25 വൈകു, Paolo Greppi <paolo.gre...@libpf.com> wrote: Il 08/05/2018 10:11, Pirate Praveen ha scritto: On തി, മേയ് 7, 2018 at 11:58 രാവിലെ, Paolo Greppi <paolo.gre...@libpf.com> wrote: And for many the vcs_git/browser fields are set to anonscm (118)

Re: [Pkg-javascript-devel] NEW queue

2018-04-27 Thread Pirate Praveen
On April 27, 2018 11:18:22 PM GMT+05:30, Paolo Greppi wrote: >Of 340 packages that sit in the NEW queue, 161 start with "node-" > >The average age of the 161 node-* is 120 days, for the others it is 40. > >What can we do to ease the job on the ftp-masters ? > I think

Re: [Pkg-javascript-devel] Bug#886849: RFS: node-puka

2018-04-28 Thread Pirate Praveen
On വെ, ഏപ്രി 27, 2018 at 8:45 വൈകു, Paolo Greppi wrote: I have rebuilt the repo on salsa from scratch. BTW can you delete the node-puka.old repo ? https://salsa.debian.org/js-team/node-puka.old I think I haven't got enough powers to do that removed old repo and

Re: [Pkg-javascript-devel] RFS: node-peek-stream

2018-04-28 Thread Pirate Praveen
On വെ, ഏപ്രി 27, 2018 at 9:06 വൈകു, Paolo Greppi wrote: Hi, I have packaged node-peek-stream: https://salsa.debian.org/js-team/node-peek-stream I am Cc-ing the ITP. Please someone sponsor the upload. Paolo Uploaded, thanks! -- Pkg-javascript-devel mailing list

Re: [Pkg-javascript-devel] RFS: node-gunzip-maybe

2018-04-28 Thread Pirate Praveen
On വെ, ഏപ്രി 27, 2018 at 9:33 വൈകു, Paolo Greppi wrote: Hi, I have packaged node-gunzip-maybe: https://salsa.debian.org/js-team/node-gunzip-maybe It requires node-peek-stream see RFS:

Re: [Pkg-javascript-devel] Problems to recreate minimized JS in r-cran-jsonld

2018-05-10 Thread Pirate Praveen
On Wed, May 9, 2018 at 3:05 PM, Andreas Tille wrote: Hi, I was stumbling upon an issue with some minimized JS in the package r-cran-jsonld (ITPed in #898224). I tried to recreate jsonld.min.js and have written a script[1] which calls webpack in a clone of the Github

Re: [Pkg-javascript-devel] Problems to recreate minimized JS in r-cran-jsonld

2018-05-10 Thread Pirate Praveen
On Thu, May 10, 2018 at 2:31 PM, Andreas Tille wrote: > jsonld.js does not work. The file size of this uncompressed file is way > smaller than the minimazion result and doese not work together with the > R code. Thus I really need to undergo the process to create

Re: [Pkg-javascript-devel] nodejs >= 6 for gitlab in stretch-backports

2018-05-10 Thread Pirate Praveen
On Thu, May 10, 2018 at 1:22 PM, Jérémy Lal wrote: Yes the server is setup by the tests. Anyway if local interface was not setup, you would have seen more test failures, so that was a bad suggestion. A better idea: this test might be depending on some libc-ares2 recent

Re: [Pkg-javascript-devel] nodejs >= 6 for gitlab in stretch-backports

2018-05-10 Thread Pirate Praveen
On Thu, May 3, 2018 at 3:19 PM, Jérémy Lal <kapo...@melix.org> wrote: 2018-05-03 11:32 GMT+02:00 Pirate Praveen <prav...@onenetbeyond.org>: On ബു, മേയ് 2, 2018 at 9:04 വൈകു, Jérémy Lal <kapo...@melix.org> wrote: Correction: nodejs 8.11 supports both openssl 1.0.1 or

Re: [Pkg-javascript-devel] NEW queue

2018-05-12 Thread Pirate Praveen
On വെള്ളി 11 മേയ് 2018 11:49 വൈകു, Paolo Greppi wrote: > OK I just finished updating the Vcs-* fields in debian/control for the 115 > packages from js-team that: > - are in the NEW queue > - have vcs_git matching regex /anonscm/ (118) > - the repo on alioth actually exists (3 haven't got one)

[Pkg-javascript-devel] Bug#870460: Bug#870460: anyone working on npm?

2018-06-07 Thread Pirate Praveen
On Sat, 21 Apr 2018 01:06:57 +0200 =?UTF-8?B?SsOpcsOpbXkgTGFs?= wrote:> I was inspecting npm's master branch and i couldn't resist fixing some > trivial, but also some non-trivial, things, so please make sure you stay > up-to-date with that branch. > > Jérémy We are close to an experimental

Re: [Pkg-javascript-devel] alioth is down: what to do with those 119 packages ?

2018-06-01 Thread Pirate Praveen
On Friday 01 June 2018 11:08 AM, Paolo Greppi wrote: > Hi as you know, since yesterday alioth is dead. I think there will be a read only mirror. > There's still quite a few packages from the js-team sitting in the > new queue with the vcs* fields in debian/control set to: >

Re: [Pkg-javascript-devel] RFS: node-bl 1.1.2-2 to address #894927 and debci test failures

2018-06-07 Thread Pirate Praveen
On Thursday 07 June 2018 02:39 PM, Paolo Greppi wrote: > We do need node-bl which is required for tar-stream and therefore for yarnpkg. > > So I have prepared a minor update that includes (besides the usual bumps) the > patch suggested by Graham. > > We have no stringent need to upgrade it as

[Pkg-javascript-devel] Bug#902178: node-turbolinks: Does not work as intended

2018-06-27 Thread Pirate Praveen
On Wed, 27 Jun 2018 04:43:43 -0700 njos...@riseup.net wrote: > I think the issue is with coffeescript compilation. I tried compiling it > using the coffee command. The index.js produced has no imports at all. > Hence, the output that is finally produced using webpack and uglifyjs is > just the

[Pkg-javascript-devel] Bug#902178: node-turbolinks: Does not work as intended

2018-06-27 Thread Pirate Praveen
On Wed, 27 Jun 2018 18:10:55 +0530 Pirate Praveen wrote: > I think this is the syntax used by sprokets. We may be able to patch it > to use the regular commonjs require syntax. > I have pushed a patch to salsa. Can you build and test? signature.asc Description: OpenPGP digital

Re: [Pkg-javascript-devel] How to ship DefinitelyTyped's type definitions?

2018-06-23 Thread Pirate Praveen
On June 23, 2018 8:32:22 PM GMT+05:30, Bastien ROUCARIES wrote: >On Thu, Jun 21, 2018 at 7:06 AM, Pirate Praveen > wrote: >> >> Can't this be node-types-foo? Then it follows the existing node- >> standard and node-types can be used to filter types packages. This

[Pkg-javascript-devel] Bug#902178: node-turbolinks: Does not work as intended

2018-06-23 Thread Pirate Praveen
On Sat, 23 Jun 2018 13:03:24 +0530 Joseph Nuthalapati wrote:> The turbolinks package installed through Debian doesn't seem to have all the > code from upstream. > > The minified Javascript from the Debian package has 1448 characters while the > dist packaged obtained from source has 36927

[Pkg-javascript-devel] Bug#902178: node-turbolinks: Does not work as intended

2018-06-23 Thread Pirate Praveen
On Sat, 23 Jun 2018 18:44:53 +0530 Pirate Praveen wrote: > Any ideas? May be we missed some options for webpack. If we cannot emulate the build with webpack, we will have to package blade (written in ruby). signature.asc Description: OpenPGP digital signature -- Pkg-javascript-devel mail

[Pkg-javascript-devel] Bug#801468: Fixed in node-jquery 2.24+dfsg-1

2018-06-20 Thread Pirate Praveen
Control: fixed -1 2.24+dfsg-1 -- Sent from my Android device with K-9 Mail. Please excuse my brevity.-- Pkg-javascript-devel mailing list Pkg-javascript-devel@alioth-lists.debian.net https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/pkg-javascript-devel

Re: [Pkg-javascript-devel] How to ship DefinitelyTyped's type definitions?

2018-06-20 Thread Pirate Praveen
On Saturday 19 May 2018 08:08 PM, Bastien ROUCARIES wrote: > On Thu, May 17, 2018 at 6:31 AM, Pirate Praveen > wrote: >> >> >> On May 17, 2018 1:32:01 AM GMT+05:30, Julien Puydt >> wrote: >>> Hi, >>> >>> Le 16/05/2018 à 17:45, Basti

[Pkg-javascript-devel] Bug#701583: Generated files are removed from orig.tar

2018-06-20 Thread Pirate Praveen
Control: fixed -1 2.24+dfsg-1 -- Sent from my Android device with K-9 Mail. Please excuse my brevity.-- Pkg-javascript-devel mailing list Pkg-javascript-devel@alioth-lists.debian.net https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/pkg-javascript-devel

Re: [Pkg-javascript-devel] Packages ready to review

2018-05-01 Thread Pirate Praveen
On ബു, മേയ് 2, 2018 at 10:44 രാവിലെ, Xavier wrote: Hi all, these packages are ready for review (with dependencies): - node-fastcgi - node-fastcgi-stream - node-bufferlist - node-mongodb - node-mongodb-core - node-require-optional - bson.js - node-nodedbi

Re: [Pkg-javascript-devel] RFS: node-is-builtin-module 2.0.0

2018-05-01 Thread Pirate Praveen
On ബു, മേയ് 2, 2018 at 2:01 രാവിലെ, Paolo Greppi wrote: Hi, I have prepared an update to node-is-builtin-module from 1.0.0 to 2.0.0 It is required for yarnpkg, see: https://salsa.debian.org/js-team/node-yarnpkg/wikis/home It has only one few reverse dependency

[Pkg-javascript-devel] nodejs >= 6 for gitlab in stretch-backports

2018-05-02 Thread Pirate Praveen
Hi, I'd like to upload gitlab 10.6 to stretch-backports as backporting security fixes is becoming difficult. My original idea was also providing updates via backports, but gitlab switching to nodejs for front end in gitlab 9 made that impossible. Now with all nodejs modules stuck in NEW for

Re: [Pkg-javascript-devel] Packages ready to review

2018-05-02 Thread Pirate Praveen
On ബുധന്‍ 02 മേയ് 2018 02:21 വൈകു, Xavier wrote: > Done for node-fs-jetpack, node-file-cache-simple and node-inireader. > List is now: > - node-fastcgi >- node-fastcgi-stream >- node-bufferlist Uploaded. Next time you can use compat 11 and also remove unnecessary dh-buildinfo build

Re: [Pkg-javascript-devel] RFS: node-puka

2018-04-26 Thread Pirate Praveen
On വ്യാ, ഏപ്രി 26, 2018 at 7:54 വൈകു, Paolo Greppi wrote: Hi, I have packaged node-puka: https://salsa.debian.org/js-team/node-puka This requires node-rollup-plugin-babel which is already in the NEW queue. The ITP is in CC. Please someone sponsor the upload.

Re: [Pkg-javascript-devel] RFS: node-dnscache

2018-04-26 Thread Pirate Praveen
On വ്യാ, ഏപ്രി 26, 2018 at 8:02 വൈകു, Paolo Greppi wrote: Hi, I have packaged node-dnscache: https://salsa.debian.org/js-team/node-dnscache This requires node-asap which is already in the NEW queue. The ITP is CC-ed. Please someone sponsor the upload. Added

Re: [Pkg-javascript-devel] proposal: phase out Task pages on wiki.d.o in favor of gitlab repo wikis

2018-04-26 Thread Pirate Praveen
On വ്യാ, ഏപ്രി 26, 2018 at 3:03 വൈകു, Paolo Greppi wrote: Hi, with the switch from alioth to salsa there is a bunch of gitlab features we can exploit - one is the built-in wiki associated with each repo. I have been experimenting with those wikis, as in:

Re: [Pkg-javascript-devel] RFS: node-babel-plugin-array-includes

2018-04-26 Thread Pirate Praveen
On വ്യാ, ഏപ്രി 26, 2018 at 6:31 വൈകു, Paolo Greppi wrote: Hi, I have packaged node-babel-plugin-array-includes: https://salsa.debian.org/js-team/node-babel-plugin-array-includes I am Cc-ing the ITP. Please someone sponsor the upload. Year in copyright updated to

Re: [Pkg-javascript-devel] RFS: node-ret

2018-04-26 Thread Pirate Praveen
On ചൊ, ഏപ്രി 24, 2018 at 2:39 വൈകു, Paolo Greppi wrote: Hi, I have packaged node-ret: https://salsa.debian.org/js-team/node-ret I am Cc-ing the ITP. Please someone sponsor the upload. Updated copyright year to match LICENSE file and uploaded. --

[Pkg-javascript-devel] Bug#892742: rollup FTBFS with node-rollup-plugin-commonjs 9.0

2018-06-19 Thread Pirate Praveen
On Mon, 12 Mar 2018 18:41:36 +0530 Pirate Praveen wrote: > Package: src:node-rollup > Version: 0.50.0-1 Latest version of rollup is 0.60.7 and it has already moved to rollup-plugin-commonjs 9.x https://github.com/rollup/rollup/blob/6e004184ede79832e658c22983de439aa5c30462/packag

[Pkg-javascript-devel] Bug#892742: rollup FTBFS with node-rollup-plugin-commonjs 9.0

2018-06-19 Thread Pirate Praveen
On Tue, 19 Jun 2018 16:16:15 +0530 Pirate Praveen wrote: > Latest version of rollup is 0.60.7 and it has already moved to > rollup-plugin-commonjs 9.x > > https://github.com/rollup/rollup/blob/6e004184ede79832e658c22983de439aa5c30462/package.json > Using node-rollup-plugin-t

[Pkg-javascript-devel] Bug#905943: Should create Vcs-* fields pointing to salsa

2018-08-12 Thread Pirate Praveen
On 12/08/18 10:17 AM, Julien Puydt wrote: > I was surprised this morning that npm2deb created a package with Vcs-* > fields pointing to anonscm.debian.org... they should point to salsa > instead. It is already fixed in upstream master, we are waiting for a new release (needs review of one pull

[Pkg-javascript-devel] Bug#907195: RM: gmod -- RoM; obsolete; unmaintained upstream;

2018-08-24 Thread Pirate Praveen
Source: node-tar-pack Severity: wishlist User: debian...@lists.debian.org Usertags: proposed-removal node-tar-pack is affected by rc bug #906451 (it is compatible with version of node-tar in unstable). The only reverse dependency, node-pre-gyp no longer depends on it. node-pre-gyp which no longer

Re: [Pkg-javascript-devel] Comments regarding node-csv-spectrum_1.0.0-1_amd64.changes

2018-08-24 Thread Pirate Praveen
On 2018, ഓഗസ്റ്റ് 25 1:50:34 AM IST, Chris Lamb wrote: >Are you looking at Lintian? There are some glaring issues like: > > https://anonscm.debian.org/git/pkg-javascript/node-csv-spectrum.git >^^^ This package was uploaded when it was still a valid URL. Anyway, I'll

[Pkg-javascript-devel] Bug#906451: tar-pack seems an unmaintained module

2018-08-19 Thread Pirate Praveen
The only package that depends on node-tar-pack is node-pre-gyp, which has a newer upstream release that no longer depends on tar-pack. signature.asc Description: OpenPGP digital signature -- Pkg-javascript-devel mailing list Pkg-javascript-devel@alioth-lists.debian.net

[Pkg-javascript-devel] Bug#906451: tar-pack seems an unmaintained module

2018-08-19 Thread Pirate Praveen
On Sun, 19 Aug 2018 21:54:11 +0530 Pirate Praveen wrote: > The only package that depends on node-tar-pack is node-pre-gyp, which > has a newer upstream release that no longer depends on tar-pack. > I have uploaded a new upstream version of node-pre-gyp (0.6.32-1 -> 0.10.2-1) to

[Pkg-javascript-devel] Bug#906451: tar-pack seems an unmaintained module

2018-08-19 Thread Pirate Praveen
On 2018, ഓഗസ്റ്റ് 20 1:17:52 AM IST, Sebastiaan Couwenberg wrote: >I don't know, you should do a round of rebuilds to find out. Rebuilds won't be enough I think because these are runtime dependencies. As they don't have functional autopkgtests enabled, we have to use upstream test suite to

[Pkg-javascript-devel] Bug#906451: Bug#906451: tar-pack seems an unmaintained module

2018-08-20 Thread Pirate Praveen
On 20/08/18 10:58 AM, Pirate Praveen wrote: > > > On 2018, ഓഗസ്റ്റ് 20 1:17:52 AM IST, Sebastiaan Couwenberg > wrote: >> I don't know, you should do a round of rebuilds to find out. > > Rebuilds won't be enough I think because these are runtime dependencies. As >

[Pkg-javascript-devel] Bug#906451: Bug#906451: Bug#906451: Bug#906451: tar-pack seems an unmaintained module

2018-08-20 Thread Pirate Praveen
On 20/08/18 3:48 PM, Sebastiaan Couwenberg wrote: > node-mapnik 4.x requires mapnik 3.1 which is still in development, > that's why I hadn't updated node-mapnik yet. I'm not planning on > packaging the development snapshots for mapnik, their stack is too > fragile for that. Thanks for the info.

[Pkg-javascript-devel] Bug#906451: Bug#906451: Bug#906451: Bug#906451: tar-pack seems an unmaintained module

2018-08-20 Thread Pirate Praveen
On 20/08/18 1:24 PM, Pirate Praveen wrote: > On 20/08/18 12:54 PM, Pirate Praveen wrote: >> On a second thought, since their builds also use node-pre-gyp, may be >> rebuilds are enough. Anyway, I have updated node-zipfile to latest >> upstream releases which supports this ve

[Pkg-javascript-devel] Bug#906451: Bug#906451: Bug#906451: tar-pack seems an unmaintained module

2018-08-20 Thread Pirate Praveen
On 20/08/18 12:54 PM, Pirate Praveen wrote: > On a second thought, since their builds also use node-pre-gyp, may be > rebuilds are enough. Anyway, I have updated node-zipfile to latest > upstream releases which supports this version of node-pre-gyp. > > node-sqlite3 also updat

[Pkg-javascript-devel] Bug#844075: Bug#844075: Bug#844075: leaflet: Please provide the latest Leaflet package including a node module

2018-08-23 Thread Pirate Praveen
On 2018, ഓഗസ്റ്റ് 23 1:15:17 PM IST, Andreas Tille wrote: >Any news here? I need to package r-cran-leaflet which has a code copy >of leaflet 1.3.1. I guess the recent upstream version 1.3.4 will be >fine as well. > >I gave the packaging a naive try imported the new version into leaflet

[Pkg-javascript-devel] Bug#764614: this is still failing

2018-07-19 Thread Pirate Praveen
Control: forcemerge 904071 -1 pravi@andhaka:/tmp/lirc$ npm install --production lirc npm WARN deprecated coffee-script@1.12.7: CoffeeScript on NPM has moved to "coffeescript" (no hyphen) npm WARN deprecated coffee-script@1.6.3: CoffeeScript on NPM has moved to "coffeescript" (no hyphen) npm WARN

[Pkg-javascript-devel] Bug#904071: npm install fails to install development dependencies

2018-07-19 Thread Pirate Praveen
package: npm version: 5.8.0-1 severity: important pravi@andhaka:/tmp/node_modules/pretty-ms$ npm install --production npm notice created a lockfile as package-lock.json. You should commit this file. added 1 package from 1 contributor in 6.715s ╭─╮ │

[Pkg-javascript-devel] Bug#904071: Bug#764614: this is still failing

2018-07-19 Thread Pirate Praveen
On 19/07/18 12:50 PM, Pirate Praveen wrote: > On 19/07/18 12:16 PM, Pirate Praveen wrote: > >> pravi@andhaka:/tmp/lirc$ npm install --production lirc > > npm i lactate > npm WARN notice [SECURITY] lactate has the following vulnerability: 1 > high. Go here f

[Pkg-javascript-devel] Bug#870460: Bug#870460: anyone working on npm?

2018-07-19 Thread Pirate Praveen
On Fri, 8 Jun 2018 10:29:12 +0200 =?UTF-8?B?SsOpcsOpbXkgTGFs?= wrote> Hi, > i'll upload node-tar 4.4.4 to unstable today with a couple of fixes. > > Jérémy Any blockers for this? Can you upload node-tar to unstable? npm 5.8 is now in experimental. signature.asc Description: OpenPGP digital

[Pkg-javascript-devel] Bug#763040: npm: "npm help " is broken

2018-07-19 Thread Pirate Praveen
Control: fixed -1 5.8.0+ds-1 On Sat, 27 Sep 2014 15:06:02 +0200 Tobias Hoffmann wrote: > npm help is supposed to show the man page npm-, > but it only shows the list of more-or-less matching commands > (which basically says: type "npm help " to get more help). It works with the last uploaded

Re: [Pkg-javascript-devel] Bug#764614: this is still failing

2018-07-19 Thread Pirate Praveen
On 19/07/18 12:16 PM, Pirate Praveen wrote: > pravi@andhaka:/tmp/lirc$ npm install --production lirc npm i lactate npm WARN notice [SECURITY] lactate has the following vulnerability: 1 high. Go here for more details: https://nodesecurity.io/advisories?search=lactate=0.13.12 - Run `npm i

[Pkg-javascript-devel] Bug#780789: fixed in last upload

2018-07-19 Thread Pirate Praveen
Control: fixed -1 5.8.0+ds-1 Works with last upload of npm 5.8.0 signature.asc Description: OpenPGP digital signature -- Pkg-javascript-devel mailing list Pkg-javascript-devel@alioth-lists.debian.net https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/pkg-javascript-devel

Re: [Pkg-javascript-devel] npm_1.4.21+ds-2~bpo9+1_amd64.changes REJECTED

2018-09-01 Thread Pirate Praveen
On 2018, ഓഗസ്റ്റ് 31 6:30:17 PM IST, Alexander Wirt wrote: > >Where is that version from? Testing has 5.8.0? This version was in Debian for about 3+ years. It was removed before the stretch release because it could not be updated in time for stretch. But now new version is available in

Re: [Pkg-javascript-devel] npm_1.4.21+ds-2~bpo9+1_amd64.changes REJECTED

2018-08-31 Thread Pirate Praveen
[Resending from another id] On 2018, സെപ്റ്റംബർ 1 8:32:08 AM IST, Pirate Praveen wrote: > > >On 2018, ഓഗസ്റ്റ് 31 6:30:17 PM IST, Alexander Wirt > wrote: >> >>Where is that version from? Testing has 5.8.0? > >This version was in Debian for about 3+ years. It w

Re: [Pkg-javascript-devel] Thank you for ‘npm’ in Debian!

2018-09-05 Thread Pirate Praveen
On 2018, സെപ്റ്റംബർ 5 9:29:37 PM IST, Ross Gammon wrote: >I can try and help out with a few node-* backports. But work is keeping >me busy, so progress would be slow. If it is a team effort, we probably >need a list. Or use the ITP tracker on Gitlab? Thanks! I think we can use the salsa wiki

Re: [Pkg-javascript-devel] node packages in NEW

2018-09-05 Thread Pirate Praveen
On 2018, സെപ്റ്റംബർ 6 2:15:11 AM IST, Thorsten Alteholz wrote: >Hi everybody, > >as you already know, there is a big number of node packages waiting in >NEW. Does Debian really need all those packages? > >node packages are rather small and often consist only of a few lines of > >code. From my

Re: [Pkg-javascript-devel] node packages in NEW

2018-09-06 Thread Pirate Praveen
On 06/09/18 10:15 AM, Pirate Praveen wrote: > I suggest we categorize the packages in NEW and process accordingly. I can > help with categorizing it. > > I propose the following, > > 1. Simple modules that could be embedded - REJECT. > 2. Modules that includes a bu

Re: [Pkg-javascript-devel] Thank you for ‘npm’ in Debian!

2018-09-05 Thread Pirate Praveen
On 2018, ഓഗസ്റ്റ് 25 3:22:06 PM IST, Ben Finney wrote: >Howdy JavaScript-in-Debian maintainers, > >Thank you all for the pain-staking work that has brought the ‘npm’ >package to Debian. > >Version “5.8.0+ds-2” entered Debian Testing today, so that makes it >significantly more feasible to do

Re: [Pkg-javascript-devel] gitlab, yarn, node modules and stalled ftp NEW

2018-04-14 Thread Pirate Praveen
On April 13, 2018 10:02:25 PM GMT+05:30, Paolo Greppi wrote: >> Why not ? We can pursue yarn packaging to contrib in parallel with >the mid-term task of bringing it back to main. >> This is best handled with a separate git branch (master-contrib ?) I was thinking of

Re: [Pkg-javascript-devel] Migrating *all* packages from alioth to salsa (Was: migrating my packages from alioth to salsa)

2018-04-18 Thread Pirate Praveen
On ബു, ഏപ്രി 18, 2018 at 12:55 വൈകു, Paolo Greppi wrote: if there is a consensus in the js-team I can perform the mass migration. Thanks! I think you can go ahead, unless someone object to it. -- Pkg-javascript-devel mailing list

Re: [Pkg-javascript-devel] RFS: node-make-iterator + node-object.map

2018-04-18 Thread Pirate Praveen
On ചൊവ്വ 10 ഏപ്രിൽ 2018 03:11 രാവിലെ, Paolo Greppi wrote: > https://salsa.debian.org/js-team/node-make-iterator > https://salsa.debian.org/js-team/node-object.map > > These are the ITPs: > https://bugs.debian.org/895323 > https://bugs.debian.org/895324 > > Please someone sponsor the uploads.

Re: [Pkg-javascript-devel] RFS: node-detect-file 1.0.0, node-resolve-dir 1.0.1 and node-flagged-respawn 1.0.0

2018-04-18 Thread Pirate Praveen
On ബുധന്‍ 11 ഏപ്രിൽ 2018 04:08 വൈകു, Paolo Greppi wrote: > Hi, I have moved the repos to salsa and prepared the updates mentioned in the > subject. > > This is all required to update node-liftoff to 2.5.0 (hoping that fixes > https://bugs.debian.org/853035). > > Please someone allow me DM

Re: [Pkg-javascript-devel] RFS: node-babel-plugin-transform-inline-imports-commonjs

2018-04-19 Thread Pirate Praveen
On വെള്ളി 06 ഏപ്രിൽ 2018 10:43 വൈകു, Paolo Greppi wrote: > Hi, I have packaged node-babel-plugin-transform-inline-imports-commonjs: > https://salsa.debian.org/js-team/node-babel-plugin-transform-inline-imports-commonjs > > This is the ITP: > https://bugs.debian.org/886844 > > Please someone

Re: [Pkg-javascript-devel] RFS: node-yn

2018-04-19 Thread Pirate Praveen
On വെള്ളി 06 ഏപ്രിൽ 2018 10:51 വൈകു, Paolo Greppi wrote: > Hi, I have packaged node-yn: > https://salsa.debian.org/js-team/node-yn > > This is the ITP: > https://bugs.debian.org/886843 > > Please someone sponsor the upload. Uploaded, thanks! signature.asc Description: OpenPGP digital

[Pkg-javascript-devel] Bug#909753: fails to find binary package

2018-09-27 Thread Pirate Praveen
On Thu, 27 Sep 2018 12:51:58 -0400 =?utf-8?Q?Antoine_Beaupr=C3=A9?= wrote: > FWIW, I've also submitted this as a merge request in salsa. Thanks for the patch. As this is not a native debian package, can you send the pull request to https://github.com/LeoIannacone/npm2deb or modify the existing

Re: [Pkg-javascript-devel] node-axios_0.16.2+dfsg-1_amd64.changes REJECTED

2018-10-12 Thread Pirate Praveen
On 10/12/18 1:31 AM, Thorsten Alteholz wrote: > > this package depends on software that needs to be embedded and has some > lintian E: Fixed and reuploaded signature.asc Description: OpenPGP digital signature -- Pkg-javascript-devel mailing list

Re: [Pkg-javascript-devel] Thank you for ‘npm’ in Debian!

2018-10-15 Thread Pirate Praveen
On 9/26/18 2:30 PM, Pirate Praveen wrote: > May be with this patch, we can drop the circular build dependency between > acorn and rollup. > > https://salsa.debian.org/juggernaut451-guest/acorn/blob/cjs/debian/patches/cjs.patch I am able to build bluebird with this patched vers

Re: [Pkg-javascript-devel] node-autoprefixer_7.2.5-1_amd64.changes REJECTED

2018-10-16 Thread Pirate Praveen
On 10/14/18 2:30 AM, Thorsten Alteholz wrote: > > Hi, > > package depends on software (node-num2fraction) that should be embedded. Fixed and reuploaded. > Thorsten > > > > === > > Please feel free to respond to this email if you don't understand why > your files were rejected, or if

[Pkg-javascript-devel] Bug#911338: Bug#911338: node-webpack: new upstream version 4.21.0 available

2018-10-18 Thread Pirate Praveen
On 2018, ഒക്‌ടോബർ 19 1:00:05 AM IST, Daniel Kahn Gillmor wrote: >Source: node-webpack >Version: 3.5.6-3 >Severity: wishlist >Control: affects -1 src:gpgme1.0 >Control: block 911189 by -1 > >https://github.com/webpack/webpack/archive/v4.21.0.tar.gz is available >upstream. > >The debian package

Re: [Pkg-javascript-devel] Comments regarding node-caniuse-api_2.0.0-1_amd64.changes

2018-10-12 Thread Pirate Praveen
On 10/12/18 1:33 AM, Thorsten Alteholz wrote: > Hi, > > can you please tell me where I can find the build-dependency: bablejs? node-babel-cli provides babeljs https://salsa.debian.org/js-team/node-babel/blob/master/debian/control#L57 $ apt-cache search babeljs node-babel-cli - Babel command

Re: [Pkg-javascript-devel] node-knockout_3.4.2-1_amd64.changes REJECTED

2018-10-12 Thread Pirate Praveen
On 10/12/18 2:30 AM, Thorsten Alteholz wrote: > > Hi Daniel, > > please also mention at least the BSD license in your debian/copyright, Fixed and reuploaded signature.asc Description: OpenPGP digital signature -- Pkg-javascript-devel mailing list

Re: [Pkg-javascript-devel] node-libnpx_9.7.1-1_amd64.changes REJECTED

2018-10-12 Thread Pirate Praveen
On 10/12/18 1:31 AM, Thorsten Alteholz wrote: > > this package depends on software that needs to be embedded Fixed and reuploaded. signature.asc Description: OpenPGP digital signature -- Pkg-javascript-devel mailing list Pkg-javascript-devel@alioth-lists.debian.net

[Pkg-javascript-devel] babel 6 -> 7 transition - call for help

2018-10-23 Thread Pirate Praveen
Hi team, Webpack 3 -> 4 update was requested recently which needs babel 7. In addition to it, esm needs (which will allow us to skip rollup for ES modules to help fix many circular dependencies) babel 7, gitlab also needs babel 7. I started working on the update and just looked at the

Re: [Pkg-javascript-devel] babel 6 -> 7 transition - call for help

2018-10-23 Thread Pirate Praveen
On 10/23/18 7:06 PM, Pirate Praveen wrote: > I started working on the update and just looked at the devDependencies, > it needs browserify, webpack, rollup and gulp to build! This is new > record even by node's own standard! It seems webpack is used only for babel-standalone so I have pa

Re: [Pkg-javascript-devel] node-react_16.2.0-2_amd64.changes REJECTED

2018-10-26 Thread Pirate Praveen
On 10/25/18 1:42 AM, Bastian Blank wrote: > > node-react is split in two binary packages: node-react and node-react-dom. > Both binary packages have the same dependencies, nor are they large, so there > is no reason to split them. I have combined the two and reuploaded. > > > > === > >

Re: [Pkg-javascript-devel] node-react_16.2.0-2_amd64.changes REJECTED

2018-10-26 Thread Pirate Praveen
On 2018, ഒക്‌ടോബർ 26 5:12:06 PM IST, Pirate Praveen wrote: >On 10/25/18 1:42 AM, Bastian Blank wrote: >> >> node-react is split in two binary packages: node-react and >node-react-dom. >> Both binary packages have the same dependencies, nor are they large, >so the

Re: [Pkg-javascript-devel] node-gyp install path question

2018-10-28 Thread Pirate Praveen
On 9/14/18 9:55 PM, Pirate Praveen wrote: > > > On 2018, സെപ്റ്റംബർ 14 9:44:15 PM IST, "Jérémy Lal" wrote: >> Le ven. 14 sept. 2018 à 18:12, Pirate Praveen >> a >> écrit : >> >>> Hi Jeremy, >>> >>> Any reason node-gyp is

Re: [Pkg-javascript-devel] node-gyp install path question

2018-10-28 Thread Pirate Praveen
On 10/28/18 2:22 PM, Jérémy Lal wrote: > Try > require('gyp') But gyp and node-gyp are two different modules. /usr/share/node-gyp/package.json says name is node-gyp, so require('node-gyp') is expected to work. signature.asc Description: OpenPGP digital signature -- Pkg-javascript-devel

Re: [Pkg-javascript-devel] node-react_16.2.0-2_amd64.changes REJECTED

2018-10-26 Thread Pirate Praveen
On 10/26/18 6:53 PM, Bastian Blank wrote: > On Fri, Oct 26, 2018 at 06:43:38PM +0530, Pirate Praveen wrote: >>> I have combined the two and reuploaded. >> This upload was rejected. Please reject 16.2.0-1 as well so I can upload it >> again. > > Please u

Re: [Pkg-javascript-devel] Thank you for ‘npm’ in Debian!

2018-10-30 Thread Pirate Praveen
On 9/16/18 5:10 PM, Ross Gammon wrote: > Hi Praveen, > > Hmm. No ideas for bluebird here really, other than bundling a pre-built > acorn npm node_module style. I just uploaded node-bluebird and acorn to stretch-backports. As mentioned earlier, acorn source was converted to CJS modules with a

Re: [Pkg-javascript-devel] New javascript packages for taliesin

2018-11-11 Thread Pirate Praveen
On 2018, നവംബർ 11 7:13:47 PM IST, Nicolas Mora wrote: >Hello, > >I'm working on packaging Taliesin, an audio streaming server with a >front-end written in react [1]. Welcome to javascript team. >To build the front-end, I need some new node packages. I've already >starting packaging some of

Re: [Pkg-javascript-devel] New javascript packages for taliesin

2018-11-11 Thread Pirate Praveen
On 2018, നവംബർ 11 11:07:04 PM IST, Bastien ROUCARIES wrote: >On Sun, Nov 11, 2018 at 5:15 PM Pirate Praveen > wrote: >Not embded use group source feature of git uscan please. > I don't think grouping unrelated packages is a good idea. If there is a circular dependency or rela

[Pkg-javascript-devel] Bug#913813: Bug#913813: node-tar : Depends: node-yallist (>= 3.0.2~) but 2.0.0-1 is to be installed

2018-11-15 Thread Pirate Praveen
On 2018, നവംബർ 15 9:01:15 PM IST, Mathieu Malaterre wrote: >The following information may help to resolve the situation: > >The following packages have unmet dependencies: >node-tar : Depends: node-yallist (>= 3.0.2~) but 2.0.0-1 is to be >installed >E: Unable to correct problems, you have held

[Pkg-javascript-devel] Bug#913812: Bug#913812: node-boxen : Depends: node-camelcase (>= 4.0.0) but 3.0.0-1 is to be installed

2018-11-15 Thread Pirate Praveen
On 2018, നവംബർ 15 8:54:58 PM IST, Mathieu Malaterre wrote: >The following information may help to resolve the situation: > >The following packages have unmet dependencies: >node-boxen : Depends: node-camelcase (>= 4.0.0) but 3.0.0-1 is to be >installed >E: Unable to correct problems, you have

Re: [Pkg-javascript-devel] New javascript packages for taliesin

2018-11-14 Thread Pirate Praveen
On 2018, നവംബർ 14 12:08:30 AM IST, Nicolas Mora wrote: >I don't think either that making a group package for such small >dependencies is a good idea to build other javascript packages. > >Concerning jest, I've created a merge request in the current salsa repo > >to complete the node-jest

Re: [Pkg-javascript-devel] New javascript packages for taliesin

2018-11-14 Thread Pirate Praveen
On 2018, നവംബർ 14 8:11:39 PM IST, Bastien ROUCARIES wrote: >On Wed, Nov 14, 2018 at 3:09 PM Pirate Praveen > wrote: >No it is nyc. So we need to package nyc Can't we just patch and skip these? Style checks can be skipped for Debian package I think. -- Sent from my Android device

Re: [Pkg-javascript-devel] Thank you for ‘npm’ in Debian!

2018-11-09 Thread Pirate Praveen
On 2018, സെപ്റ്റംബർ 16 5:10:00 PM IST, Ross Gammon wrote: >What is the hold up with rollup? I was looking into rollup/acorn in >Ubuntu, and things have got very messy there. None of them will build >without the right version of each other. It looks like a messed up >transition in Debian. We

Re: [Pkg-javascript-devel] New javascript packages for taliesin

2018-11-14 Thread Pirate Praveen
On 2018, നവംബർ 14 7:23:24 PM IST, Nicolas Mora wrote: >Le 2018-11-14 05:43, Pirate Praveen a écrit : >Also, I just realized that the script jest/bin/jest.js contains this >simple code: > >require('jest-cli/bin/jest'); > >So I think we should remove the file debian/links an

[Pkg-javascript-devel] Bug#876618: Bug#876618: science.js build-depends on removed nodejs-legacy

2018-09-27 Thread Pirate Praveen
On 2018, സെപ്റ്റംബർ 28 10:52:24 AM IST, Petter Reinholdtsen wrote: > >vows test/env-assert.js test/\*/\*-test.js >module.js:549 >throw err; >^ > >Error: Cannot find module 'glob' Just add node-glob as build dependency. -- Sent from my Android device with K-9 Mail. Please excuse my

[Pkg-javascript-devel] Bug#907686: npm2deb: chokes on parsing mocha when locale is C

2018-08-31 Thread Pirate Praveen
On 2018, ഓഗസ്റ്റ് 31 4:57:54 PM IST, Jonas Smedegaard wrote: >Package: npm2deb >Version: 0.2.8-1 >Severity: normal > >-BEGIN PGP SIGNED MESSAGE- >Hash: SHA512 > >Attempting to follow https://wiki.debian.org/Javascript/Nodejs/Tasks to >resolve dependencies of node-server, in a limited

Re: [Pkg-javascript-devel] Remove package node-uuid? (Was: Update package node-uuid?)

2018-09-21 Thread Pirate Praveen
On 9/21/18 12:29 PM, W. Martin Borgert wrote: > Hi, > > in fact, uuid is already in Debian, even the relatively recent > version 3.2.1, but embedded in the npm package. #895625 can just > be closed, I assume. It is embedded because node-uuid is not available. It should be dropped when uuid 3.2.1

[Pkg-javascript-devel] Plan for bootstrap 4

2018-09-21 Thread Pirate Praveen
Hi David, I need bootstrap 4 for gitlab (though only its node counterpart). I'm thinking of creating a new source package node-bootstrap (if required create libjs-bootstrap4 binary). What is your plan with bootstrap 4? Thanks Praveen signature.asc Description: OpenPGP digital signature --

[Pkg-javascript-devel] status of acorn git repo - build is failing

2018-09-21 Thread Pirate Praveen
Hi, Can someone confirm if you can build acorn from git repo? I tried master and debian/5.5.3+ds3-1 both failed. pravi@nishumbha:~/forge/debian/git/js-team/acorn$ dpkg-source -b . dpkg-source: info: using source format '3.0 (quilt)' dpkg-source: info: applying modernize_rollup_config.patch

Re: [Pkg-javascript-devel] Re: Shipping DefinitelyTyped definitions : one binary package per definition?

2018-09-24 Thread Pirate Praveen
On 2018, സെപ്റ്റംബർ 23 8:26:25 PM IST, Bastien ROUCARIES wrote: >types node should go to parent package. i means node-types-acorn >should go to package node-acorn using fakeuptstream multiple tar >improvement if needed > I think it is over engineering and making things unnecessarily complex.

Re: [Pkg-javascript-devel] Re: Shipping DefinitelyTyped definitions : one binary package per definition?

2018-09-24 Thread Pirate Praveen
On 9/24/18 2:09 PM, Bastien ROUCARIES wrote: >> I think it is over engineering and making things unnecessarily complex. This >> can be a fallback option if a separate version of type definition is >> required instead of the centrally shipped version. > And how to you keep version in sync ? You

Re: [Pkg-javascript-devel] Re: Re: Shipping DefinitelyTyped definitions : one binary package per definition?

2018-09-24 Thread Pirate Praveen
On 2018, സെപ്റ്റംബർ 24 6:24:50 AM IST, Julien Puydt wrote: >Hi, > >Le 23/09/2018 à 16:44, Pirate Praveen a écrit : >> On 9/23/18 5:13 PM, Julien Puydt wrote: >>> What do you think of the attached script? It assumes the upstream >>> DefinitelyTyped tree is in &

Re: [Pkg-javascript-devel] Re: Shipping DefinitelyTyped definitions : one binary package per definition?

2018-09-24 Thread Pirate Praveen
On 9/24/18 4:05 PM, Bastien ROUCARIES wrote: > No it is quite easy with newer fakeupstream support. It a joy, Did you try ? 1. Well, we don't always use the fakeupstream. Most of the time it is github tarballs. 2. It still involve manual effort in multiple packages rather than do it once for all

Re: [Pkg-javascript-devel] Re: Shipping DefinitelyTyped definitions : one binary package per definition?

2018-09-24 Thread Pirate Praveen
On 2018, സെപ്റ്റംബർ 24 2:28:00 PM IST, Bastien ROUCARIES wrote: >On Mon, Sep 24, 2018 at 10:43 AM Pirate Praveen > wrote: >> >> On 9/24/18 2:09 PM, Bastien ROUCARIES wrote: >> >> I think it is over engineering and making things unnecessarily >compl

Re: [Pkg-javascript-devel] status of acorn git repo - build is failing

2018-09-24 Thread Pirate Praveen
On 9/23/18 8:28 PM, Bastien ROUCARIES wrote: > On Fri, Sep 21, 2018 at 4:53 PM Pirate Praveen > wrote: >> >> Hi, >> >> Can someone confirm if you can build acorn from git repo? I tried master >> and debian/5.5.3+ds3-1 both failed. > > Did you see i

Re: [Pkg-javascript-devel] Shipping DefinitelyTyped definitions : one binary package per definition?

2018-09-22 Thread Pirate Praveen
On 8/10/18 2:58 AM, Bastien ROUCARIES wrote: > > - just one node-types-definitelytyped real package would provide all > necessary node-types-foo ones, so if a package needs the @types/foo, it > can depend on node-types-foo and the right one is pulled in ; > > > No There is already

  1   2   3   4   5   >